<?php
/**
 * Copyright (c) 2014-present, Facebook, Inc. All rights reserved.
 *
 * You are hereby granted a non-exclusive, worldwide, royalty-free license to
 * use, copy, modify, and distribute this software in source code or binary
 * form for use in connection with the web services and APIs provided by
 * Facebook.
 *
 * As with any software that integrates with the Facebook platform, your use
 * of this software is subject to the Facebook Developer Principles and
 * Policies [http://developers.facebook.com/policy/]. This copyright notice
 * shall be included in all copies or substantial portions of the software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *
 */

namespace FacebookAds\Object\Values;

use FacebookAds\Enum\AbstractEnum;

/**
 * @method static CallToActionTypes getInstance()
 */
class CallToActionTypes extends AbstractEnum {

  const BOOK_TRAVEL = 'BOOK_TRAVEL';
  const BUY_NOW = 'BUY_NOW';
  const CALL_NOW = 'CALL_NOW';
  const DOWNLOAD = 'DOWNLOAD';
  const GET_DIRECTIONS = 'GET_DIRECTIONS';
  const GET_OFFER = 'GET_OFFER';
  const INSTALL_APP = 'INSTALL_APP';
  const INSTALL_MOBILE_APP = 'INSTALL_MOBILE_APP';
  const LEARN_MORE = 'LEARN_MORE';
  const LIKE_PAGE = 'LIKE_PAGE';
  const LISTEN_MUSIC = 'LISTEN_MUSIC';
  const MESSAGE_PAGE = 'MESSAGE_PAGE';
  const NO_BUTTON = 'NO_BUTTON';
  const OPEN_LINK = 'OPEN_LINK';
  const PLAY_GAME = 'PLAY_GAME';
  const SHOP_NOW = 'SHOP_NOW';
  const SIGN_UP = 'SIGN_UP';
  const SUBSCRIBE = 'SUBSCRIBE';
  const USE_APP = 'USE_APP';
  const USE_MOBILE_APP = 'USE_MOBILE_APP';
  const WATCH_MORE = 'WATCH_MORE';
  const WATCH_VIDEO = 'WATCH_VIDEO';
}
